Subject: bug#43595: closed (Re: bug#43595: 27.1; project.el: `project-known-project-roots' would be useful to have in the documented API)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 05 Oct 2020 00:05:02 +0000

Your bug report

#43595: 27.1; project.el: `project-known-project-roots' would be useful to have in the documented API

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43595: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43595
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43595: 27.1; project.el: `project-known-project-roots' would be useful to have in the documented API
From: Dmitry Gutov <[email-masked]>
To: Rudi Schlatte <[email-masked]>, [email-masked]
Date: Mon, 5 Oct 2020 03:04:48 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

On 24.09.2020 21:31, Rudi Schlatte wrote:
> Would it be possible to include the function `project-known-project-roots' in the project.el public API, as documented in the commentary of the file `project.el'?

Sure. Since it doesn't have '--' in its name, it basically public 
already, but I made sure to clarify that now in 281da12e43f.

Thanks for the report.

> The use case is for packages like dashboard (github.com/emacs-dashboard), which present a list of recent projects for the user to act on.  Currently, dashboard uses projectile for this; I submitted a patch that lets the user switch to project.el that uses `project-known-project-roots' for the implementation.

Nice!

Subject: 27.1; project.el: `project-known-project-roots' would be useful to have in the documented API
From: Rudi Schlatte <[email-masked]>
To: [email-masked]
Date: Thu, 24 Sep 2020 20:31:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Would it be possible to include the function `project-known-project-roots' in the project.el public API, as documented in the commentary of the file `project.el'?

The use case is for packages like dashboard (github.com/emacs-dashboard), which present a list of recent projects for the user to act on.  Currently, dashboard uses projectile for this; I submitted a patch that lets the user switch to project.el that uses `project-known-project-roots' for the implementation.